### Function

# Shell Screenshot composite_to_stream_finish

#### Declaration [src]

    GdkPixbuf*
    shell_screenshot_composite_to_stream_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish the asynchronous operation started by shell_screenshot_composite_to_stream () and obtain its result.

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` that was provided to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbuf`

A GdkPixbuf with the final image if the operation was successful, or NULL on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.